node-estree-walker_0.6.0-1build1_all.deb


Advertisement

Description

node-estree-walker - traverse an ESTree-compliant AST in Node.js

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-estree-walker_0.6.0-1build1_all.deb
Package name node-estree-walker
Package version 0.6.0
Package release 1build1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/Rich-Harris/estree-walker
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.59 KB
Installed size 18.00 KB
Provide ways to traverse an Abstract Syntax Tree in the ESTree format,
as obtained for example using acorn.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-estree-walker_0.6.0-1build1_all.deb 0.6.0 all Ubuntu Universe
node-estree-walker - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-estree-walker_0.6.0-1build1_all.deb
Source Package node-estree-walker

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-estree-walker deb package:
    # sudo apt-get install node-estree-walker

Files

Path
/usr/lib/nodejs/estree-walker/index.d.ts
/usr/lib/nodejs/estree-walker/index.js
/usr/lib/nodejs/estree-walker/package.json
/usr/share/doc/node-estree-walker/README.md
/usr/share/doc/node-estree-walker/changelog.Debian.gz
/usr/share/doc/node-estree-walker/copyright

Changelog

2019-01-18 - Gianfranco Costamagna <locutusofborg@debian.org>
node-estree-walker (0.6.0-1build1) disco; urgency=medium
* Rebuild against new bootstrapped rollup.
2019-01-06 - Julien Puydt <jpuydt@debian.org>
node-estree-walker (0.6.0-1) unstable; urgency=medium
* New upstream release.
* Bump std-ver to 4.3.0.
* Ship typescript definitions.
* Mark the package Multi-Arch: foreign following hinter.
2018-05-07 - Julien Puydt <jpuydt@debian.org>
node-estree-walker (0.5.2-1) unstable; urgency=medium
* New upstream release.
* Refresh packaging:
- Bump dh compat to 11.
- Bump std-ver to 4.1.4. 
- Use my debian.org mail address. 
- Update dates in d/copyright. 
- Point Vcs-* fields to salsa.
* Use rollup to build now it is in Debian.
2017-11-23 - Julien Puydt <julien.puydt@laposte.net>
node-estree-walker (0.5.1-1) unstable; urgency=medium
* New upstream release 0.5.1.
* Update packaging:
- Use https in d/copyright's Format
- Bump d/watch to version 4
- Bump std-ver to 4.1.1
- Bump dh compat to 10
- Move from section web to javascript
- Run upstream test suite as autopkgtest 
2017-07-23 - Julien Puydt <julien.puydt@laposte.net>
node-estree-walker (0.5.0-1) unstable; urgency=medium
* New upstream release.
2017-07-05 - Julien Puydt <julien.puydt@laposte.net>
node-estree-walker (0.4.0-1) unstable; urgency=low
* Initial release (Closes: #867284)

See Also

Package Description
node-esutils_2.0.2-1_all.deb utility box for ECMAScript language tools
node-etag_1.4.0-1_all.deb entity tag creator for - Node.js module
node-event-emitter_0.3.5-1_all.deb Environment agnostic event emitter
node-eventemitter2_0.4.13-2_all.deb Event emitter compatible with browsers - module for Node.js
node-events_1.0.2-2_all.deb Node EventEmitter
node-eventsource_0.2.1-1_all.deb W3C compliant EventSource client for Node.js
node-everything.js_1.0.3-1_all.deb Contains every ECMA-262 edition 5.1 grammatical production
node-evp-bytestokey_1.0.3-8_all.deb secure key derivation algorithm in pure javascript
node-execa_0.10.0+dfsg-1_all.deb better `child_process`
node-exit-hook_1.1.1-1_all.deb Run some code when the process exits
node-exit_0.1.2-1_all.deb replacement for process.exit that ensures stdio is fully drained
node-expand-brackets_2.1.4-1_all.deb Expand POSIX bracket expressions
node-expand-tilde_2.0.1-1_all.deb Bash-like tilde expansion for node.js
node-expect.js_0.3.1+dfsg-1_all.deb behavior driven test assertions - Node.js module
node-exports-loader_0.6.4-1_all.deb exports loader module for webpack
Advertisement
Advertisement